Page MenuHomeFreeBSD

Add NVIDIA_GL description to Mk/bsd.options.desc.mk
ClosedPublic

Authored by xmj on Feb 2 2015, 9:42 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj updated this revision to Diff 3596.Feb 2 2015, 9:42 PM
xmj retitled this revision from to Add NVIDIA_GL desscription to Mk/bsd.options.desc.mk.
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj retitled this revision from Add NVIDIA_GL desscription to Mk/bsd.options.desc.mk to Add NVIDIA_GL description to Mk/bsd.options.desc.mk.Feb 2 2015, 10:22 PM
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj edited edge metadata.
xmj added subscribers: koobs, swills.
xmj removed subscribers: swills, koobs.
koobs requested changes to this revision.Feb 5 2015, 9:35 AM
koobs edited edge metadata.
koobs added inline comments.
Mk/bsd.options.desc.mk
348

Thinking of the users, might "OpenGL via x11/nvidia-driver" be a clearer / more meaningful description?

What about GL_NDIVIA?
Whats the other libGL option via?

games/linux-enemyterritory/Makefile
26–27

What about NVIDIA_GL_USE_OFF= LINUX_APPS=dri ? (see Mk/bsd.options.mk)

games/linux-rtcw/Makefile
34

OPTIONS helper?

games/linux-ut2003-demo/Makefile
44

As above

graphics/linux-c6-glx-utils/Makefile
23

Why isn't this USE_LINUX_APPS+= dri as other ports?

net-im/skype-devel/Makefile
17–18

Sort OPTIONS

20–21

Group OPTIONS_*

net-im/skype/Makefile
16–17

Sort

18

Group OPTIONS_*

This revision now requires changes to proceed.Feb 5 2015, 9:35 AM
xmj updated this revision to Diff 3641.Feb 5 2015, 9:51 AM
xmj edited edge metadata.

CRF: Skype options sorting/grouping

Mk/bsd.options.desc.mk
348

The way I've (re)written it is to fit in with the other entries up/down in bsd.options.desk.mk, and... because it makes sense.

GL_NVIDIA sounds weird to my ears, but that may be habituation..
alternative is "plain" graphics/libGL from Mesa

games/linux-enemyterritory/Makefile
26–27

USE_LINUX_APPS, pulling in Mk/bsd.linux-apps.mk, isn't equal to USES= dri pulling in Mk/Uses/dri.mk

games/linux-rtcw/Makefile
34

Assuming NVIDIA_GL_EXTVER below is meaningful, this can stay without option helper

34

If I have to have an if clause anyway, due to

NVIDIA_GL_EXTVER, and
USE_LINUX_APPS (below), then options helpers won't make any sense.

games/linux-ut2003-demo/Makefile
44

As above. USE_LINUX_APPS isn't replaced by options helpers.

graphics/linux-c6-glx-utils/Makefile
23

Others allow for conditionally pulling in fedora10, or centos6, depending on what the user has set OVERRIDE_LINUX_BASE_PORT/OVERRIDE_LINUX_NONBASE_PORTS to in make.conf

This port being a port that 1. defines USE_LINUX=c6 2. uses c6 itself,
making it possible to depend on fedora 10 stuff is not a good idea and hence explicit dep preferred.

34

USE_LINUX_APPS not needed, c6 port

x11-toolkits/linux-c6-qt47-x11/Makefile
31

USE_LINUX_APPS not needed. it's a c6 port anyway.

mat added a subscriber: mat.Feb 5 2015, 10:01 AM
mat added inline comments.
games/linux-doom3-demo/Makefile
36–37
NVIDIA_GL_USE_OFF= linux_apps=dri
games/linux-enemyterritory/Makefile
26–28
NVIDIA_GL_USE_OFF= linux_apps=dri
graphics/linux-c6-glx-utils/Makefile
23
NVIDIA_GL_USE_OFF= linux_apps=dri

I think.

x11-toolkits/linux-c6-qt47-x11/Makefile
26
NVIDIA_GL_USE_OFF= linux_apps=dri

same ?

xmj updated this revision to Diff 3643.Feb 5 2015, 2:01 PM
xmj edited edge metadata.

CRF: OPTIONS_HELPER work also for USE_${FOO} where ${FOO} is arbitrary.

bapt accepted this revision.Feb 7 2015, 9:59 PM
bapt added a reviewer: bapt.
bapt added a subscriber: bapt.

This accept is for the description I'll let your maintainers decide about other parts :)

koobs added inline comments.Mar 11 2015, 11:08 AM
Mk/bsd.options.desc.mk
348

Should this mention "(Uses DRI when Disabled)" ?

koobs accepted this revision.Mar 20 2015, 7:27 AM
koobs edited edge metadata.

Good to go

This revision is now accepted and ready to land.Mar 20 2015, 7:27 AM
xmj closed this revision.Apr 5 2015, 7:24 AM

Committed revision @rP383259.

cperciva added inline comments.
games/linux-enemyterritory/Makefile
57

This needs to be above do-install: